/**
 * 业务类型
 */
const businessType = [
    { key: '', value: 1, label: '充值会员' },
    { key: '', value: 2, label: '打赏' },
    { key: '', value: 3, label: '充值' },
    { key: '', value: 4, label: '诊单业务' },
    { key: '', value: 5, label: '提现' },
    { key: '', value: 6, label: '提现失败退款' },
    { key: '', value: 7, label: '余额消费' },
    { key: '', value: 8, label: '拒绝接单退款' },
    { key: '', value: 9, label: '专家惩罚' },
    { key: '', value: 10, label: '申诉退款' },
    { key: '', value: 11, label: '粉丝充值返利' },
    { key: '', value: 12, label: '现金支付' },
    { key: '', value: 13, label: '差旅费' },
];

/**
 * 支付类型
 */
const payType = [
    { key: '', value: 1, label: '支付宝' },
    { key: '', value: 2, label: '微信' },
    { key: '', value: 3, label: '余额' },
];

/**
 * 转换课程类型为常量map
 * @param {Array} list
 */
function ParseConst(list) {
    let map = {};
    for (let i = 0; i < list.length; i++) {
        map[list[i].key] = list[i].value;
    }
    return map;
}

export default {
    BUSINESS_TYPE_LIST: businessType,
    // BUSINESS_TYPE: ParseConst(businessType),

    PAY_TYPE_LIST: payType,
};
